Transcribe audio
POST
/audio/transcriptions
const url = 'https://example.com/audio/transcriptions';const form = new FormData();form.append('file', 'example');form.append('model', 'whisper-1');form.append('language', 'example');form.append('response_format', 'json');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/audio/transcriptions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=example \ --form model=whisper-1 \ --form language=example \ --form response_format=jsonOpenAI-compatible STT (multipart: file + model). Served by whisper-large-v3-turbo. Returns {"text": ...} (or plain text if response_format=text). Charged per minute of audio. Max file size 25 MB.
Authorizations
Заголовок раздела «Authorizations»Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}